org.apache.hadoop.yarn.server.federation.store.records

## Class SetSubClusterPolicyConfigurationResponse

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.SetSubClusterPolicyConfigurationResponse

- Direct Known Subclasses:
    SetSubClusterPolicyConfigurationResponsePBImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class SetSubClusterPolicyConfigurationResponse
      extends Object

  SetSubClusterPolicyConfigurationResponse contains the answer from the `FederationPolicyStore` to a request to set for a policy configuration for a given queue.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetSubClusterPolicyConfigurationResponse()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SetSubClusterPolicyConfigurationResponse` | `newInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetSubClusterPolicyConfigurationResponse

          public SetSubClusterPolicyConfigurationResponse()

  - ### Method Detail

    - #### newInstance

          public static SetSubClusterPolicyConfigurationResponse newInstance()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.